Package org.apache.any23.vocab

## Class HCard

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.HCard

-     public class HCard
      extends Vocabulary

  Vocabulary to map the h-card microformat.
  Author:
    Nisala Nirmana

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `additional_name` |
    `org.eclipse.rdf4j.model.IRI` | `Address` |
    `org.eclipse.rdf4j.model.IRI` | `adr` |
    `org.eclipse.rdf4j.model.IRI` | `altitude` |
    `org.eclipse.rdf4j.model.IRI` | `anniversary` |
    `org.eclipse.rdf4j.model.IRI` | `bday` |
    `org.eclipse.rdf4j.model.IRI` | `Card` |
    `org.eclipse.rdf4j.model.IRI` | `category` |
    `org.eclipse.rdf4j.model.IRI` | `country_name` |
    `org.eclipse.rdf4j.model.IRI` | `email` |
    `org.eclipse.rdf4j.model.IRI` | `extended_address` |
    `org.eclipse.rdf4j.model.IRI` | `family_name` |
    `org.eclipse.rdf4j.model.IRI` | `gender_identity` |
    `org.eclipse.rdf4j.model.IRI` | `geo` |
    `org.eclipse.rdf4j.model.IRI` | `Geo` |
    `org.eclipse.rdf4j.model.IRI` | `given_name` |
    `org.eclipse.rdf4j.model.IRI` | `honorific_prefix` |
    `org.eclipse.rdf4j.model.IRI` | `honorific_suffix` |
    `org.eclipse.rdf4j.model.IRI` | `impp` |
    `org.eclipse.rdf4j.model.IRI` | `job_title` |
    `org.eclipse.rdf4j.model.IRI` | `key` |
    `org.eclipse.rdf4j.model.IRI` | `latitude` |
    `org.eclipse.rdf4j.model.IRI` | `locality` |
    `org.eclipse.rdf4j.model.IRI` | `logo` |
    `org.eclipse.rdf4j.model.IRI` | `longitude` |
    `org.eclipse.rdf4j.model.IRI` | `name` |
    `org.eclipse.rdf4j.model.IRI` | `nickname` |
    `org.eclipse.rdf4j.model.IRI` | `note` |
    `static String` | `NS` |
    `org.eclipse.rdf4j.model.IRI` | `org` |
    `org.eclipse.rdf4j.model.IRI` | `photo` |
    `org.eclipse.rdf4j.model.IRI` | `postal_code` |
    `org.eclipse.rdf4j.model.IRI` | `region` |
    `org.eclipse.rdf4j.model.IRI` | `role` |
    `org.eclipse.rdf4j.model.IRI` | `sex` |
    `org.eclipse.rdf4j.model.IRI` | `sort_string` |
    `org.eclipse.rdf4j.model.IRI` | `street_address` |
    `org.eclipse.rdf4j.model.IRI` | `tel` |
    `org.eclipse.rdf4j.model.IRI` | `uid` |
    `org.eclipse.rdf4j.model.IRI` | `url` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HCard` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      See Also:
        Constant Field Values

    - #### Card

          public org.eclipse.rdf4j.model.IRI Card

    - #### Address

          public org.eclipse.rdf4j.model.IRI Address

    - #### Geo

          public org.eclipse.rdf4j.model.IRI Geo

    - #### name

          public org.eclipse.rdf4j.model.IRI name

    - #### honorific_prefix

          public org.eclipse.rdf4j.model.IRI honorific_prefix

    - #### given_name

          public org.eclipse.rdf4j.model.IRI given_name

    - #### additional_name

          public org.eclipse.rdf4j.model.IRI additional_name

    - #### family_name

          public org.eclipse.rdf4j.model.IRI family_name

    - #### sort_string

          public org.eclipse.rdf4j.model.IRI sort_string

    - #### honorific_suffix

          public org.eclipse.rdf4j.model.IRI honorific_suffix

    - #### nickname

          public org.eclipse.rdf4j.model.IRI nickname

    - #### email

          public org.eclipse.rdf4j.model.IRI email

    - #### logo

          public org.eclipse.rdf4j.model.IRI logo

    - #### photo

          public org.eclipse.rdf4j.model.IRI photo

    - #### url

          public org.eclipse.rdf4j.model.IRI url

    - #### uid

          public org.eclipse.rdf4j.model.IRI uid

    - #### category

          public org.eclipse.rdf4j.model.IRI category

    - #### tel

          public org.eclipse.rdf4j.model.IRI tel

    - #### note

          public org.eclipse.rdf4j.model.IRI note

    - #### bday

          public org.eclipse.rdf4j.model.IRI bday

    - #### key

          public org.eclipse.rdf4j.model.IRI key

    - #### org

          public org.eclipse.rdf4j.model.IRI org

    - #### job_title

          public org.eclipse.rdf4j.model.IRI job_title

    - #### role

          public org.eclipse.rdf4j.model.IRI role

    - #### impp

          public org.eclipse.rdf4j.model.IRI impp

    - #### sex

          public org.eclipse.rdf4j.model.IRI sex

    - #### gender_identity

          public org.eclipse.rdf4j.model.IRI gender_identity

    - #### anniversary

          public org.eclipse.rdf4j.model.IRI anniversary

    - #### geo

          public org.eclipse.rdf4j.model.IRI geo

    - #### adr

          public org.eclipse.rdf4j.model.IRI adr

    - #### street_address

          public org.eclipse.rdf4j.model.IRI street_address

    - #### extended_address

          public org.eclipse.rdf4j.model.IRI extended_address

    - #### locality

          public org.eclipse.rdf4j.model.IRI locality

    - #### region

          public org.eclipse.rdf4j.model.IRI region

    - #### postal_code

          public org.eclipse.rdf4j.model.IRI postal_code

    - #### country_name

          public org.eclipse.rdf4j.model.IRI country_name

    - #### latitude

          public org.eclipse.rdf4j.model.IRI latitude

    - #### longitude

          public org.eclipse.rdf4j.model.IRI longitude

    - #### altitude

          public org.eclipse.rdf4j.model.IRI altitude

  - ### Method Detail

    - #### getInstance

          public static HCard getInstance()